#-------------------------------------------------------------------------------
# Compo Ludum Dare 28 (2013 december)
#
# Autor:      mmickyman
#
# NEEDS THOSE FILES IN THE SAME FOLDER TO WORK :
#       -> arrow_cursor.png
#       -> browser.png
#       -> chat_window_off.png
#       -> chat_window_on.png
#       -> dialog_box.png
#       -> facelook_background.png
#       -> facelook_button_like.png
#       -> facelook_button_like_down.png
#       -> mano_cursor.png
#
#-------------------------------------------------------------------------------



#====================================Library
import sys
import pygame
import random
import pygame._view
from pygame.locals import *
from pygame._view import *

def main():
    pygame.init()


    #====================================Window
    WINDOW = pygame.display.set_mode((600, 600))
    pygame.display.set_caption("One...itis")


    #====================================Clock
    clock = pygame.time.Clock()


    #====================================CONSTANTS
    BLACK = (0,0,0)
    WHITE = (255,255,255)
    RED = (255, 0, 0)
    RED_DARK = (125, 55, 55)
    BLUE = (0, 0, 255)
    BLUE_DARK = (55, 80, 125)
    OLIVE = (128, 128, 0)
    TEAL = ( 0, 128, 128)
    TERREBATTUE = (232, 93, 30)
    LIME = ( 0, 255, 0)
    YELLOW = (255, 255, 0)
    GREEN = ( 0, 128, 0)
    GREY_CHAT = (200, 200, 200)
    BLACK_NOTIF = (49, 53, 62)




    #====================================Background
    BACKGROUND_COLOR = BLACK
    background_surface = load_image("facelook_background.png")
##    background_surface = pygame.Surface(WINDOW.get_size())
##    background_surface.fill(BACKGROUND_COLOR)
##    pygame.draw.rect(background_surface, WHITE, Rect((5,5), (590,590)), 2)
    BROWSER = load_image("browser.png")

    #----------Surface test
    a_surface = pygame.Surface((100,100))
    a_surface.fill(LIME)

    #----------Text score
    SCORE_FONT = pygame.font.Font(None, 36)
    SCORE_FONT_COLOR = BLUE
    score_value = 0

    #----------Text url
    URL_FONT = pygame.font.Font(None, 20)
    URL_FONT_COLOR = BLACK
    url_text = "www.facelook.com"
    URL_POSITION = (90,22)
    url_surface = URL_FONT.render(url_text, True, URL_FONT_COLOR)


##    #----------Text YOGO
##    YOGO_FONT = pygame.font.Font(None, 36)
##    YOGO_FONT_COLOR = GREEN
##    YOGO_BACKGROUND_COLOR = WHITE
##    YOGO_TEXT = "You Only Get One ..."
##    YOGO_SURFACE = YOGO_FONT.render(YOGO_TEXT, True, YOGO_FONT_COLOR,YOGO_BACKGROUND_COLOR)
##    YOGO_SURFACE_X = 300 - YOGO_SURFACE.get_width()/2

    #----------Text chrono
    CHRONO_FONT = pygame.font.Font(None, 36)
    CHRONO_FONT_COLOR = YELLOW
    chrono_value = 0

##    #----------Text goal
##    GOAL_FONT = pygame.font.Font(None, 36)
##    GOAL_FONT_COLOR = YOGO_FONT_COLOR
##    GOAL_BACKGROUND_COLOR = YOGO_BACKGROUND_COLOR
##    goal_text = "Stuff"

    #----------Dialog box
    DIALOG_BOX = load_image("dialog_box.png")
    DIALOG_BOX_POS = (100, 150)
    DIALOG_BOX_FONT = pygame.font.Font(None, 36)
    DIALOG_BOX_FONT_COLOR = BLACK
    dialog_box_text = "_"
    dialog_box_text_surface = DIALOG_BOX_FONT.render(dialog_box_text, True, DIALOG_BOX_FONT_COLOR)
    dialog_box_text_pos = (300 - dialog_box_text_surface.get_width()/2, DIALOG_BOX_POS[1]+50)
    dialog_box_display = False


    #----------Mouse
    mouse_clic_pos = (0,0)
    pygame.mouse.set_cursor((8,8),(0,0),(0,0,0,0,0,0,0,0),(0,0,0,0,0,0,0,0))
    mouse_cursor_mano = pygame.image.load("./mano_cursor.png").convert_alpha()
    mouse_cursor_arrow = pygame.image.load("./arrow_cursor.png").convert_alpha()
    mouse_surface = mouse_cursor_arrow
    out_surface = (1000, 1000)
    clicked_surface = 1111

    #====================================FACELOOK
    FACELOOK_BG_COLOR = (233, 234, 237)
    FACELOOK_FONT_COLOR = (137, 143, 168)
    FACELOOK_BORDER_COLOR = (49, 53, 62)
    FACELOOK_BACKGROUND = load_image("facelook_background.png")
    BUTTON_LIKE_UP = load_image("facelook_button_like.png") # dimension 100x40
    BUTTON_LIKE_DOWN = load_image("facelook_button_like_down.png") # dimension 100x40
    FACELOOK_LIKE_SIZE = BUTTON_LIKE_UP.get_size()
    FACELOOK_LIKE_HIGH = (150,210)
    FACELOOK_LIKE_MIDDLE = (150,320)
    FACELOOK_LIKE_BOTTOM = (150,450)
    button_like_high = BUTTON_LIKE_UP
    button_like_middle = BUTTON_LIKE_UP
    button_like_bottom = BUTTON_LIKE_UP
    TIMELINE_HIGH_POS = (160, 120)
    TIMELINE_MIDDLE_POS = (160, 290)
    TIMELINE_BOTTOM_POS = (160, 400)
    TIMELINE_HIDDEN_POS = (160, 530)
    TIMELINE_FONT = pygame.font.Font(None, 20)
    TIMELINE_FONT_COLOR = BLACK
    timeline_high_content   = timeline_content(random.randint(0,2), random.randint(0,9) )
    timeline_middle_content = timeline_content(random.randint(0,2), random.randint(0,9) )
    timeline_bottom_content = timeline_content(random.randint(0,2), random.randint(0,9) )
    timeline_hidden_content = timeline_content(random.randint(0,2), random.randint(0,9) )


    #====================================Timeline
    update_timeline = True
    current_flag = None

    #====================================Chat
    CHAT_WINDOW_ON = load_image("chat_window_on.png") # dimension 180x220
    CHAT_WINDOW_ON_POS_X = (411, 211, 11)
    CHAT_WINDOW_ON_POS_Y = 371
    CHAT_WINDOW_FONT = pygame.font.Font(None, 16)
    CHAT_BACKGROUND_COLOR = GREY_CHAT
    CHAT_WINDOW_FONT_COLOR_PLAYER = RED_DARK
    CHAT_WINDOW_FONT_COLOR_PNJ = BLUE_DARK
    chat_window_text = "blank"

    #---Chat window reduced
    CHAT_WINDOW_OFF = load_image("chat_window_off.png") # dimension 180x22
    CHAT_WINDOW_OFF_POS_X = CHAT_WINDOW_ON_POS_X
    CHAT_WINDOW_OFF_POS_Y = 569

    #---Title of chat window
    CHAT_WINDOW_NAME_FONT = pygame.font.Font(None, 22)
    CHAT_WINDOW_NAME_TEXT = CHAT_WINDOW_FONT.render("CHAT", True, WHITE)
    CHAT_WINDOW_ON.blit(CHAT_WINDOW_NAME_TEXT, (10,6))
    CHAT_WINDOW_OFF.blit(CHAT_WINDOW_NAME_TEXT, (10,6))

    #--Chatting
    CHAT_WINDOW_FIRST_TEXT_POS = (420, 550)
    CHAT_WINDOW_SURFACE_POS = (415,400)
##    chat_window_surface = pygame.Surface((170,170))
##    chat_window_surface.fill(CHAT_BACKGROUND_COLOR)
    chat_window_on = False
    chat_window_reduced = False
    chat_window_texts = ( "", "", "", "", "")
    chat_window_text_pnj_first = True
    chat_window_text_color = CHAT_WINDOW_FONT_COLOR_PLAYER
    chat_window_text_count = 0

    #----------Notification box
    NOTIF_BOX = pygame.Surface((90,300))
    NOTIF_BOX.fill(BLACK_NOTIF)
    NOTIF_BOX_POS = (15, 75)
    NOTIF_BOX_FONT = pygame.font.Font(None, 20)
    NOTIF_BOX_FONT_COLOR = WHITE
    notif_box_text = ""
    notif_box_text_surface = NOTIF_BOX_FONT.render(notif_box_text, True, NOTIF_BOX_FONT_COLOR)
    notif_box_text_pos = (5,5)
    NOTIF_BOX.blit(notif_box_text_surface, notif_box_text_pos )
    notif_box_display = True

    #====================================Stats
    update_stat = True
    stat_creep = 0
    stat_friendship = 0
    stat_rejection = 0

    #====================================INTRO
    intro_on = True
    intro_step = 1

    #====================================OUTRO
    outro = False
    update_outro = 0
    outro_step = 0
    outro_start = True

    #====================================Loop
    while True:
    #------------Clock loop
        time_passed = clock.tick(30)
        time_sec = time_passed/1000.0

        chrono_value = pygame.time.get_ticks()   #Depuis le lancement de la Clock principale


    #------------event.get
        for event in pygame.event.get():
            if (event.type == QUIT) or (event.type == KEYDOWN and event.key == K_ESCAPE):
                pygame.quit()
                sys.exit()
            if (event.type == MOUSEBUTTONUP):
                if intro_on:
                    intro_step += 1
                elif outro:
                    outro_step +=1
                else:
                    mouse_clic_pos = event.pos


    #------------INTRO
        if intro_on:
            if intro_step <= 4:
                dialog_box_display = True
                dialog_box_text = intro_text(intro_step)
                dialog_box_text_surface = DIALOG_BOX_FONT.render(dialog_box_text, True, DIALOG_BOX_FONT_COLOR)
                dialog_box_text_pos = (300 - dialog_box_text_surface.get_width()/2, DIALOG_BOX_POS[1]+50)
            else:
                intro_on = False
                dialog_box_display = False
                intro_step = 0

    #------------Event linked to mouse position
        mouse_pos = pygame.mouse.get_pos()

        if is_overed(mouse_pos, BUTTON_LIKE_UP.get_rect(), FACELOOK_LIKE_HIGH):
            mouse_surface = mouse_cursor_mano
        elif is_overed(mouse_pos, BUTTON_LIKE_UP.get_rect(), FACELOOK_LIKE_MIDDLE):
            mouse_surface = mouse_cursor_mano
        elif is_overed(mouse_pos, BUTTON_LIKE_UP.get_rect(), FACELOOK_LIKE_BOTTOM):
            mouse_surface = mouse_cursor_mano
        else:
            mouse_surface = mouse_cursor_arrow

    #------------Event linked to mouse clic position
        if is_clicked(mouse_clic_pos, BUTTON_LIKE_UP.get_rect(), FACELOOK_LIKE_HIGH):
            button_like_high = reverse_button(button_like_high, BUTTON_LIKE_UP, BUTTON_LIKE_DOWN)
            mouse_clic_pos = out_surface
        if is_clicked(mouse_clic_pos, BUTTON_LIKE_UP.get_rect(), FACELOOK_LIKE_MIDDLE):
            button_like_middle = reverse_button(button_like_middle, BUTTON_LIKE_UP, BUTTON_LIKE_DOWN)
            mouse_clic_pos = out_surface
        if is_clicked(mouse_clic_pos, BUTTON_LIKE_UP.get_rect(), FACELOOK_LIKE_BOTTOM):
            button_like_bottom = reverse_button(button_like_bottom, BUTTON_LIKE_UP, BUTTON_LIKE_DOWN)
            mouse_clic_pos = out_surface

    #------------Updating timeline and stats
        if update_timeline:
            update_timeline_time = pygame.time.get_ticks()
            update_timeline = False

        if ((chrono_value - update_timeline_time) > 4000) and not update_timeline:
            if (button_like_high == BUTTON_LIKE_DOWN):
                stat_creep      += timeline_high_content[1]
                stat_friendship += timeline_high_content[2]
                stat_rejection  += timeline_high_content[3]
                current_flag = timeline_high_content[4]

            timeline_high_content   = timeline_middle_content
            button_like_high = button_like_middle
            timeline_middle_content = timeline_bottom_content
            button_like_middle = button_like_bottom
            timeline_bottom_content = timeline_hidden_content
            button_like_bottom = BUTTON_LIKE_UP
            if outro:
                choice = (0, 2)
                timeline_hidden_content = timeline_content(choice[random.randint(0,1)], random.randint(0,9) )
            else:
                timeline_hidden_content = timeline_content(random.randint(0,2), random.randint(0,9) )
            update_timeline = True

    #------------rendering texts timeline
        timeline_high   = TIMELINE_FONT.render(timeline_high_content[0],   True, TIMELINE_FONT_COLOR, WHITE)
        timeline_middle = TIMELINE_FONT.render(timeline_middle_content[0], True, TIMELINE_FONT_COLOR, WHITE)
        timeline_bottom = TIMELINE_FONT.render(timeline_bottom_content[0], True, TIMELINE_FONT_COLOR, WHITE)
        timeline_hidden = TIMELINE_FONT.render(timeline_hidden_content[0], True, TIMELINE_FONT_COLOR, WHITE)

    #------------chat
##        if (current_flag != None):
##            if current_flag == "*":
##                chat_window_on = True
##                chat_window_texts = add_chat_text("nouveau", chat_window_texts)
##                current_flag = None

        chat_window_surface = pygame.Surface((170,170))
        chat_window_surface.fill(CHAT_BACKGROUND_COLOR)
        for texti in range(0,5):
            if chat_window_text_pnj_first:
                if ((texti %2) == 0) : chat_window_text_color = CHAT_WINDOW_FONT_COLOR_PNJ
                else: chat_window_text_color = CHAT_WINDOW_FONT_COLOR_PLAYER
            else:
                if ((texti %2) == 0) : chat_window_text_color = CHAT_WINDOW_FONT_COLOR_PLAYER
                else: chat_window_text_color = CHAT_WINDOW_FONT_COLOR_PNJ

            chat_window_text_surface = CHAT_WINDOW_FONT.render(chat_window_texts[texti], True, chat_window_text_color)
            chat_window_surface.blit(chat_window_text_surface, (10, 18*(8-texti*2)) )

    #------------chat with dialog box

    #------------One reactions
        if stat_creep > 8:
            outro_texts1 = ("Please stop doing this", " ", " ", " ", " ")
            outro_texts2 = ("You're creeping me out", " ", "Please stop doing this", " ", " ")
            outro_texts3 = ("Bye", " ", "You're creeping me out", " ", "Please stop doing this")
            outro = True
        elif stat_friendship > 8:
            outro_texts1 = ("Hi...", " ", " ", " ", " ")
            outro_texts2 = ("It's hard for me...", " ", "Hi...", " ", " ")
            outro_texts3 = ("But I don't feel the same", " ", "It's hard for me...", " ", "Hi...")
            outro = True
        elif stat_rejection > 8:
            outro_texts1 = ("Hey !", " ", " ", " ", " ")
            outro_texts2 = ("I don't think you get it", " ", "Hey !", " ", " ")
            outro_texts3 = ("We'll never be together", " ", "I don't think you get it", " ", "Hey !" )
            outro = True

##        if outro:
##            outro_time = pygame.time.get_ticks()
##            chat_window_on = True
##            if update_outro == 0:
##                chat_window_texts = add_chat_text(outro_texts[0], chat_window_texts)
##                update_outro += 1
##
##            if ((chrono_value - outro_time) > 6000):
##                pass

        if outro:
            if outro_start:
                outro_time = pygame.time.get_ticks()
                outro_start = False
            chat_window_on = True
            chat_window_texts = outro_texts1
            if ((chrono_value - outro_time) > 2000):
                outro_time2 = pygame.time.get_ticks()
                chat_window_texts = outro_texts2
            if ((chrono_value - outro_time) > 5000):
                chat_window_texts = outro_texts3
            if ((chrono_value - outro_time) > 9000):
                if outro_step == 0:
                    dialog_box_display = True
                    dialog_box_text = "One unfriend you"
                    dialog_box_text_surface = DIALOG_BOX_FONT.render(dialog_box_text, True, DIALOG_BOX_FONT_COLOR)
                    dialog_box_text_pos = (300 - dialog_box_text_surface.get_width()/2, DIALOG_BOX_POS[1]+50)
                else:
                    dialog_box_display = True
                    dialog_box_text = "GAME OVER"
                    dialog_box_text_surface = DIALOG_BOX_FONT.render(dialog_box_text, True, DIALOG_BOX_FONT_COLOR)
                    dialog_box_text_pos = (300 - dialog_box_text_surface.get_width()/2, DIALOG_BOX_POS[1]+50)


    #----------Notification box
        NOTIF_BOX = pygame.Surface((90,300))
        NOTIF_BOX.fill(BLACK_NOTIF)

        notif_box_text = "  "
        notif_box_text_surface = NOTIF_BOX_FONT.render(notif_box_text, True, NOTIF_BOX_FONT_COLOR)
        NOTIF_BOX.blit(notif_box_text_surface, notif_box_text_pos )


    #------------Score
##        score_surface = SCORE_FONT.render(str(score_value), True, SCORE_FONT_COLOR)
        score_surface = SCORE_FONT.render(str(stat_creep+stat_friendship+stat_rejection), True, SCORE_FONT_COLOR)
##        score_surface = SCORE_FONT.render(str(timeline_high_content[1]+
##                    timeline_high_content[2]+timeline_high_content[3]), True, SCORE_FONT_COLOR)


    #------------Chrono
        chrono_surface = CHRONO_FONT.render(str(chrono_value), True, CHRONO_FONT_COLOR)

##    #------------Goal
##        goal_surface = YOGO_FONT.render(goal_text, True, GOAL_FONT_COLOR, GOAL_BACKGROUND_COLOR)
##        goal_surface_x = 300 - goal_surface.get_width()/2


    #------------Display
        WINDOW.blit(background_surface, (0,0) )
        WINDOW.blit(BROWSER, (0,0) )
        WINDOW.blit(url_surface, URL_POSITION )
##        WINDOW.blit(score_surface, (50,55))
##        WINDOW.blit(chrono_surface, (500,55))
##        if chrono_value < 1000*5:
##            WINDOW.blit(YOGO_SURFACE, (YOGO_SURFACE_X,100))
##            WINDOW.blit(goal_surface, (goal_surface_x,150))




        WINDOW.blit(button_like_high, FACELOOK_LIKE_HIGH)
        WINDOW.blit(button_like_middle, FACELOOK_LIKE_MIDDLE)
        WINDOW.blit(button_like_bottom, FACELOOK_LIKE_BOTTOM)

        WINDOW.blit(timeline_high, TIMELINE_HIGH_POS)
        WINDOW.blit(timeline_middle, TIMELINE_MIDDLE_POS)
        WINDOW.blit(timeline_bottom, TIMELINE_BOTTOM_POS)
        WINDOW.blit(timeline_hidden, TIMELINE_HIDDEN_POS)

##        WINDOW.blit(a_surface, (200,200) )
        if notif_box_display:
            WINDOW.blit(NOTIF_BOX, NOTIF_BOX_POS)
##            WINDOW.blit(dialog_box_text_surface, dialog_box_text_pos)

        if chat_window_on:
            if chat_window_reduced:
                 WINDOW.blit(CHAT_WINDOW_OFF, (CHAT_WINDOW_OFF_POS_X[0], CHAT_WINDOW_OFF_POS_Y))
            else:
                WINDOW.blit(CHAT_WINDOW_ON, (CHAT_WINDOW_ON_POS_X[0], CHAT_WINDOW_ON_POS_Y))
                WINDOW.blit(chat_window_surface, CHAT_WINDOW_SURFACE_POS)

        if dialog_box_display:
            if intro_on or outro:
                    filling_surface = pygame.Surface(WINDOW.get_size())
                    filling_surface.fill(BLACK)
                    WINDOW.blit(filling_surface, (0,0))
            WINDOW.blit(DIALOG_BOX, DIALOG_BOX_POS)
            WINDOW.blit(dialog_box_text_surface, dialog_box_text_pos)
        WINDOW.blit(mouse_surface, pygame.mouse.get_pos())

        pygame.display.update()

#load_image========================================================================
#Charge une image depuis le disque
#colorkey est le code RGB de la couleur donnant la transparence
def load_image(filename, colorkey = None):
    imagesurface = pygame.image.load(filename)
    imagesurface.set_colorkey(colorkey)
    return imagesurface


#is_clicked========================================================================
#renvoie True si la surface argument est sous le clic
def is_clicked(clic_pos, rectangle, surface_pos):
    rectangle.move_ip(surface_pos[0], surface_pos[1])
    if rectangle.collidepoint(clic_pos):
        return True
    return False

#is_overed========================================================================
#renvoie True si la surface argument est sous le curseur
def is_overed(cursor_pos, rectangle, surface_pos):
    rectangle.move_ip(surface_pos[0], surface_pos[1])
    if rectangle.collidepoint(cursor_pos):
        return True
    return False

#reverse_button========================================================================
#renvoie la surface du bouton dans le statut inverse
def reverse_button(button, surface_up, surface_down):
    if button == surface_up:
        return surface_down
    if button == surface_down:
        return surface_up

#intro_text========================================================================
#renvoie le texte correspondant dans l'intro
def intro_text(step):
    if step == 1:
        return " You Only Get One... "
    elif step == 2:
        return "You Only Get Oneitis"
    elif step == 3:
        return "Be a nice a guy"
    elif step == 4:
        return "Maybe she'll love you"
    else:
        return "oups"

#add_chat_text========================================================================
#ajoute le texte au debut de la liste de textes de chat
def add_chat_text(new_text, list_texts):
    new_list = (new_text, list_texts[0], list_texts[1], list_texts[2], list_texts[3])
    return new_list

#timeline_text========================================================================
#renvoie le texte et ses infos correspondant pour la timeline
#0 : Friends, 1 : One,  2 : family
#(Text, creep_value, friendship_value, rejection_value, flag
def timeline_content(persona, number):
    TEXTS_ONE = (       ("One said : 'So tired, but TGIF ahah' ", 0, 1, 0, "_"),
                        ("One added photos in 'Beach' ", 2, 0, 0, "_"),
                        ("One said : 'Mike's party tonight !!'", 1, 0, 1, "_"),
                        ("One liked Mike's album 'My new guitar'", 1, 0, 0, "_"),
                        ("One said : 'I wish I was a flower'", 0, 4, 0, "_"),
                        ("One added photos in 'With my BFF Lisa !'", 2, 0, 1, "_"),
                        ("One said '<3 ur lik my sista'", 0, 0, 3, "_"),
                        ("One listen to 'Catchy love song'", 0, 3, 0, "_"),
                        ("One said : 'Goin to see Blink my love, cant wait !'", 2, 3, 0, "_"),
                        ("One liked : 'Blink my love movie' page", 3, 0, 0, "_") )

    TEXTS_FRIEND = (    ("Chicken Bro said : 'Bucket my love'", 0, 0, 0, "*"),
                        ("Chill Bro liked : '420!!' page", 0, 0, 0, "*"),
                        ("Chicken Bro added photos in 'Cool stuff'", 0, 0, 0, "*"),
                        ("Dwuche guy liked One's album 'Beach'", 5, 0, 0, "*"),
                        ("Mike liked One's status 'Mike's party tonight !!'", 0, 0, 5, "*"),
                        ("Mike added photos in 'My new guitar'", 0, 0, 0, "*"),
                        ("Chill Bro liked Chicken Bro's album 'Cool Stuff'", 0, 0, 0, "*"),
                        ("Mike liked One's album 'With BFF Lisa'", 0, 0, 0, "*"),
                        ("Mike said : 'Lisa my <3 is for u", 0, 0, 0, "*"),
                        ("Dwuche guy said : 'Hey Chicken Bro wanna share ?'", 0, 0, 0, "*") )

    TEXTS_FAMILY = (    ("Gran'ma said : 'Computer, put photos on the internet'", 0, 0, 0, "+"),
                        ("Mom said : 'Mom, stop asking thing to the computer'", 0, 0, 0, "+"),
                        ("Mom said added photos in 'My chihahua cutie !'", 0, 0, 0, "+"),
                        ("Gran'ma liked 'WIN FREE TABLET !!' page", 0, 0, 0, "+"),
                        ("Mom win level 471 in Farm City Wars", 0, 0, 0, "+"),
                        ("Lil'Sis said : 'Mom stop sending Farm City invite !'", 0, 0, 0, "+"),
                        ("Mom sent you an Farm City Wars invite", 0, 0, 0, "+"),
                        ("Lil'Sis liked 'Metal Trash Band' page", 0, 0, 0, "+"),
                        ("Lil'Sis beated level 789 in City Farm Wars", 0, 0, 0, "+"),
                        ("Lil'Sis sent you an City Farm Wars invite", 0, 0, 0, "+") )

    if persona == 0:
        return TEXTS_FRIEND[number]
    elif persona == 1:
        return TEXTS_ONE[number]
    elif persona == 2:
        return TEXTS_FAMILY[number]
    else:
        return "argg"



if __name__ == '__main__':
    main()